# -*- coding: utf-8 -*-
"""
@author：zhaiht
@file：  run_all_cases.py
@time：  2020/10/17 15:08
@desc：
"""

import unittest
import os
import HTMLTestReportCN
import sys
import importlib
importlib.reload(sys)

"""解决在Jenkins控制台无法打印中文的问题"""
os.environ['NLS_LANG'] = 'Simplified Chinese_CHINA.ZHS16GBK'


"""解决在命令行下找不到module的问题"""
curPath = os.path.abspath(os.path.dirname(__file__))
rootPath = os.path.split(curPath)[0]
sys.path.append(rootPath)

"""添加用例地址"""
case_path = os.path.join(os.getcwd())
report_path = r"/Users/zhaihuitao/PycharmProjects/TKIO/interfaceTest/report/result.html"


def all_case():
    discover = unittest.defaultTestLoader.discover(case_path, "test*.py")
    print(discover)
    return discover

if __name__ == "__main__":
    fp = open(report_path, 'wb')
    runner = HTMLTestReportCN.HTMLTestRunner(
        stream=fp,
        title='<TKIO接口监控报告>',
        description=u'TKIO接口自动化测试用例',
        tester=u"翟会涛"
    )
    runner.run(all_case())
    """在控制台打印日志"""
    unittest.TextTestRunner(verbosity=2).run(all_case())
    fp.close()


'''if __name__ == "__main__":
    case_path = os.path.join(os.getcwd(), "testcase")
    report_path = r"/Users/zhaihuitao/PycharmProjects/TKIO/interfaceTest/report/result.html"

    curPath = os.path.abspath(os.path.dirname(__file__))
    rootPath = os.path.split(curPath)[0]
    sys.path.append(rootPath)
    base_path = os.path.dirname(os.path.abspath(__file__))
    testdir = os.path.join(base_path, 'android_events')


    def all_case():
        discover = unittest.defaultTestLoader.discover(testdir, 'test*.py')
        runner = unittest.TextTestRunner(verbosity=2)
        runner.run(discover)

    fp = open(report_path, 'wb')
    runner = HTMLTestRunnerCN.HTMLTestRunner(
        stream=fp,
        verbosity=1,
        title='<订单自动化测试报告>',
        description=u'订单P0接口自动化测试用例',
        # tester=u"tester"
    )
    runner.run(all_case())'''
    # fp.close()